gui_shadow_box_proc(3)

NAME
gui_shadow_box_proc, gui_ctext_proc, gui_button_proc, gui_edit_proc, gui_list_proc, gui_text_list_proc

SYNOPSIS
#include <allegro.h>

extern int (*gui_shadow_box_proc)(int msg, struct DIALOG *d, int c); extern int (*gui_ctext_proc)(int msg, struct DIALOG *d, int c); extern int (*gui_button_proc)(int msg, struct DIALOG *d, int c); extern int (*gui_edit_proc)(int msg, struct DIALOG *d, int c); extern int (*gui_list_proc)(int msg, struct DIALOG *d, int c); extern int (*gui_text_list_proc)(int msg, struct DIALOG *d, int c);

DESCRIPTION
If set, these functions will be used by the standard Allegro dialogs. This allows you to customise the look and feel, much like gui_fg_color and gui_bg_color, but much more flexiblely.

SEE ALSO
alert(3), alert3(3), file_select_ex(3), gfx_mode_select(3), gui_fg_color(3)